dim fso
dim filename
dim slashpos
dim targetdir

Set fso = CreateObject("Scripting.FileSystemObject")

' Edit this line to specify the target directory.
targetdir = "C:\astronomy\rawpics\stack\"

If wscript.Arguments.Count = 0 Then
    MsgBox "No folders/filenames were provided"
    wscript.Quit
End If

' Process each of the arguments
For I = 0 To wscript.Arguments.Count - 1
    If fso.FolderExists(wscript.Arguments(I)) Then
        ' Folder, so process contents as files
        Set folder = fso.GetFolder(wscript.Arguments(I))
        Set fc = folder.Files
        For Each f1 in fc
            ProcessIt(f1.path)
        Next
    Else
        ' Folder does not exist, so process argument as a file
        ProcessIt(wscript.Arguments(I))
    End If
Next
msgbox "Copy complete"

Function ProcessIt(file)
  slashpos = instrrev(file, "\")
  filename = mid(file, slashpos + 1)
  If fso.FileExists(targetdir & filename) Then
    For J = 1 To 10000
      If not fso.FileExists(targetdir & left(filename, len(filename) - 4) & "_rename_" & J & ".fit") Then
        fso.CopyFile file, targetdir & left(filename, len(filename) - 4) & "_rename_" & J & ".fit"
        exit for
      End If
    Next
  else
    fso.CopyFile file, targetdir & filename
  End If
End Function
